KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# GeoDataStyle Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataStyleSelector → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

an addressable style group

A GeoDataStyle defines an addressable style group that can be referenced by GeoDataStyleMaps and GeoDataFeatures. GeoDataStyles affect how Geometry is presented in the 3D viewer (not yet implemented) and how Features appear. Shared styles are collected in a GeoDataDocument and must have an id defined for them so that they can be referenced by the individual Features that use them.

See also:
  GeoDataIconStyle

See also:
  GeoDataLabelStyle

See also:
  GeoDataLineStyle

See also:
  GeoDataPolyStyle

## Methods
| __init__ (self)
| __init__ (self, QPixmap icon, QFont font, QColor color)
| __init__ (self, Marble.GeoDataStyle a0)
Marble.GeoDataIconStyle | iconStyle (self)
Marble.GeoDataLabelStyle | labelStyle (self)
Marble.GeoDataLineStyle | lineStyle (self)
| pack (self, QDataStream stream)
Marble.GeoDataPolyStyle | polyStyle (self)
| setIconStyle (self, Marble.GeoDataIconStyle style)
| setLabelStyle (self, Marble.GeoDataLabelStyle style)
| setLineStyle (self, Marble.GeoDataLineStyle style)
| setPolyStyle (self, Marble.GeoDataPolyStyle style)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( |  | self ) |

Construct a default style

__init__ | ( | self, |
|  | QPixmap | icon,
|  | QFont | font,
|  | QColor | color
| ) |  |  |

Construct a new style

Parameters:

  |  | icon used to construct the icon style
  |  | font used to construct the label styls
  |  | color used to construct the label styls

__init__ | ( | self, |
|  | Marble.GeoDataStyle | a0
| ) |  |  |

Marble.GeoDataIconStyle iconStyle | ( |  | self ) |

Return the icon style of this style

Marble.GeoDataLabelStyle labelStyle | ( |  | self ) |

Return the label style of this style

Marble.GeoDataLineStyle lineStyle | ( |  | self ) |

Return the label style of this style

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Serialize the style to a stream

Parameters:

  |  | stream the stream

Marble.GeoDataPolyStyle polyStyle | ( |  | self ) |

Return the label style of this style

setIconStyle | ( | self, |
|  | Marble.GeoDataIconStyle | style
| ) |  |  |

set the icon style

setLabelStyle | ( | self, |
|  | Marble.GeoDataLabelStyle | style
| ) |  |  |

set the label style

setLineStyle | ( | self, |
|  | Marble.GeoDataLineStyle | style
| ) |  |  |

set the line style

setPolyStyle | ( | self, |
|  | Marble.GeoDataPolyStyle | style
| ) |  |  |

set the poly style

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Unserialize the style from a stream

Parameters:

  |  | stream the stream